package com.hai.dao;

import com.hai.entity.HighGasOrder;
import com.hai.entity.HighGasOrderExample.Criteria;
import com.hai.entity.HighGasOrderExample.Criterion;
import com.hai.entity.HighGasOrderExample;
import java.util.List;
import java.util.Map;
import org.apache.ibatis.jdbc.SQL;

public class HighGasOrderSqlProvider {

    public String countByExample(HighGasOrderExample example) {
        SQL sql = new SQL();
        sql.SELECT("count(*)").FROM("high_gas_order");
        applyWhere(sql, example, false);
        return sql.toString();
    }

    public String deleteByExample(HighGasOrderExample example) {
        SQL sql = new SQL();
        sql.DELETE_FROM("high_gas_order");
        applyWhere(sql, example, false);
        return sql.toString();
    }

    public String insertSelective(HighGasOrder record) {
        SQL sql = new SQL();
        sql.INSERT_INTO("high_gas_order");
        
        if (record.getOrderNo() != null) {
            sql.VALUES("order_no", "#{orderNo,jdbcType=VARCHAR}");
        }
        
        if (record.getChildOrderNo() != null) {
            sql.VALUES("child_order_no", "#{childOrderNo,jdbcType=VARCHAR}");
        }
        
        if (record.getChannelType() != null) {
            sql.VALUES("channel_type", "#{channelType,jdbcType=INTEGER}");
        }
        
        if (record.getChannelOrderNo() != null) {
            sql.VALUES("channel_order_no", "#{channelOrderNo,jdbcType=VARCHAR}");
        }
        
        if (record.getMemId() != null) {
            sql.VALUES("mem_id", "#{memId,jdbcType=BIGINT}");
        }
        
        if (record.getMemPhone() != null) {
            sql.VALUES("mem_phone", "#{memPhone,jdbcType=VARCHAR}");
        }
        
        if (record.getCompanyId() != null) {
            sql.VALUES("company_id", "#{companyId,jdbcType=BIGINT}");
        }
        
        if (record.getCompanyName() != null) {
            sql.VALUES("company_name", "#{companyName,jdbcType=VARCHAR}");
        }
        
        if (record.getMerId() != null) {
            sql.VALUES("mer_id", "#{merId,jdbcType=BIGINT}");
        }
        
        if (record.getMerName() != null) {
            sql.VALUES("mer_name", "#{merName,jdbcType=VARCHAR}");
        }
        
        if (record.getStoreId() != null) {
            sql.VALUES("store_id", "#{storeId,jdbcType=BIGINT}");
        }
        
        if (record.getStoreName() != null) {
            sql.VALUES("store_name", "#{storeName,jdbcType=VARCHAR}");
        }
        
        if (record.getStoreAddress() != null) {
            sql.VALUES("store_address", "#{storeAddress,jdbcType=VARCHAR}");
        }
        
        if (record.getTotalDeductionPrice() != null) {
            sql.VALUES("total_deduction_price", "#{totalDeductionPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getDeductionCouponPrice() != null) {
            sql.VALUES("deduction_coupon_price", "#{deductionCouponPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getDeductionProductPrice() != null) {
            sql.VALUES("deduction_product_price", "#{deductionProductPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getPayablePrice() != null) {
            sql.VALUES("payable_price", "#{payablePrice,jdbcType=DECIMAL}");
        }
        
        if (record.getMemCardType() != null) {
            sql.VALUES("mem_card_type", "#{memCardType,jdbcType=INTEGER}");
        }
        
        if (record.getMemCardNo() != null) {
            sql.VALUES("mem_card_no", "#{memCardNo,jdbcType=VARCHAR}");
        }
        
        if (record.getPayGold() != null) {
            sql.VALUES("pay_gold", "#{payGold,jdbcType=INTEGER}");
        }
        
        if (record.getPayPrice() != null) {
            sql.VALUES("pay_price", "#{payPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getGasRefuelPrice() != null) {
            sql.VALUES("gas_refuel_price", "#{gasRefuelPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getGasCarLicensePlate() != null) {
            sql.VALUES("gas_car_license_plate", "#{gasCarLicensePlate,jdbcType=VARCHAR}");
        }
        
        if (record.getGasOilNo() != null) {
            sql.VALUES("gas_oil_no", "#{gasOilNo,jdbcType=VARCHAR}");
        }
        
        if (record.getGasGunNo() != null) {
            sql.VALUES("gas_gun_no", "#{gasGunNo,jdbcType=VARCHAR}");
        }
        
        if (record.getGasOilType() != null) {
            sql.VALUES("gas_oil_type", "#{gasOilType,jdbcType=INTEGER}");
        }
        
        if (record.getGasPricePlatform() != null) {
            sql.VALUES("gas_price_platform", "#{gasPricePlatform,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceGun() != null) {
            sql.VALUES("gas_price_gun", "#{gasPriceGun,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceVip() != null) {
            sql.VALUES("gas_price_vip", "#{gasPriceVip,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceOfficial() != null) {
            sql.VALUES("gas_price_official", "#{gasPriceOfficial,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceCost() != null) {
            sql.VALUES("gas_price_cost", "#{gasPriceCost,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceCostTotal() != null) {
            sql.VALUES("gas_price_cost_total", "#{gasPriceCostTotal,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceChannelPay() != null) {
            sql.VALUES("gas_price_channel_pay", "#{gasPriceChannelPay,jdbcType=DECIMAL}");
        }
        
        if (record.getGasOilLiters() != null) {
            sql.VALUES("gas_oil_liters", "#{gasOilLiters,jdbcType=DECIMAL}");
        }
        
        if (record.getGasDiscount() != null) {
            sql.VALUES("gas_discount", "#{gasDiscount,jdbcType=DECIMAL}");
        }
        
        if (record.getGasOilSubsidy() != null) {
            sql.VALUES("gas_oil_subsidy", "#{gasOilSubsidy,jdbcType=DECIMAL}");
        }
        
        if (record.getGasLitersPreferences() != null) {
            sql.VALUES("gas_liters_preferences", "#{gasLitersPreferences,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPricePreferences() != null) {
            sql.VALUES("gas_price_preferences", "#{gasPricePreferences,jdbcType=DECIMAL}");
        }
        
        if (record.getGasClassGroupId() != null) {
            sql.VALUES("gas_class_group_id", "#{gasClassGroupId,jdbcType=BIGINT}");
        }
        
        if (record.getGasClassGroupName() != null) {
            sql.VALUES("gas_class_group_name", "#{gasClassGroupName,jdbcType=VARCHAR}");
        }
        
        if (record.getGasClassGroupTaskId() != null) {
            sql.VALUES("gas_class_group_task_id", "#{gasClassGroupTaskId,jdbcType=BIGINT}");
        }
        
        if (record.getGasStaffId() != null) {
            sql.VALUES("gas_staff_id", "#{gasStaffId,jdbcType=BIGINT}");
        }
        
        if (record.getGasStaffName() != null) {
            sql.VALUES("gas_staff_name", "#{gasStaffName,jdbcType=VARCHAR}");
        }
        
        if (record.getGasSalesmanId() != null) {
            sql.VALUES("gas_salesman_id", "#{gasSalesmanId,jdbcType=BIGINT}");
        }
        
        if (record.getGasSalesmanName() != null) {
            sql.VALUES("gas_salesman_name", "#{gasSalesmanName,jdbcType=VARCHAR}");
        }
        
        if (record.getGasAgentId() != null) {
            sql.VALUES("gas_agent_id", "#{gasAgentId,jdbcType=BIGINT}");
        }
        
        if (record.getGasAgentName() != null) {
            sql.VALUES("gas_agent_name", "#{gasAgentName,jdbcType=VARCHAR}");
        }
        
        if (record.getGasOrgId() != null) {
            sql.VALUES("gas_org_id", "#{gasOrgId,jdbcType=BIGINT}");
        }
        
        if (record.getGasOrgName() != null) {
            sql.VALUES("gas_org_name", "#{gasOrgName,jdbcType=VARCHAR}");
        }
        
        if (record.getPayType() != null) {
            sql.VALUES("pay_type", "#{payType,jdbcType=INTEGER}");
        }
        
        if (record.getStatus() != null) {
            sql.VALUES("`status`", "#{status,jdbcType=INTEGER}");
        }
        
        if (record.getCreateTime() != null) {
            sql.VALUES("create_time", "#{createTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getCancelTime() != null) {
            sql.VALUES("cancel_time", "#{cancelTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getPayTime() != null) {
            sql.VALUES("pay_time", "#{payTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getRefundTime() != null) {
            sql.VALUES("refund_time", "#{refundTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getRefundRemarks() != null) {
            sql.VALUES("refund_remarks", "#{refundRemarks,jdbcType=VARCHAR}");
        }
        
        if (record.getExt1() != null) {
            sql.VALUES("ext_1", "#{ext1,jdbcType=VARCHAR}");
        }
        
        if (record.getExt2() != null) {
            sql.VALUES("ext_2", "#{ext2,jdbcType=VARCHAR}");
        }
        
        if (record.getExt3() != null) {
            sql.VALUES("ext_3", "#{ext3,jdbcType=VARCHAR}");
        }
        
        if (record.getExt4() != null) {
            sql.VALUES("ext_4", "#{ext4,jdbcType=VARCHAR}");
        }
        
        if (record.getExt5() != null) {
            sql.VALUES("ext_5", "#{ext5,jdbcType=VARCHAR}");
        }
        
        if (record.getExt6() != null) {
            sql.VALUES("ext_6", "#{ext6,jdbcType=VARCHAR}");
        }
        
        return sql.toString();
    }

    public String selectByExample(HighGasOrderExample example) {
        SQL sql = new SQL();
        if (example != null && example.isDistinct()) {
            sql.SELECT_DISTINCT("id");
        } else {
            sql.SELECT("id");
        }
        sql.SELECT("order_no");
        sql.SELECT("child_order_no");
        sql.SELECT("channel_type");
        sql.SELECT("channel_order_no");
        sql.SELECT("mem_id");
        sql.SELECT("mem_phone");
        sql.SELECT("company_id");
        sql.SELECT("company_name");
        sql.SELECT("mer_id");
        sql.SELECT("mer_name");
        sql.SELECT("store_id");
        sql.SELECT("store_name");
        sql.SELECT("store_address");
        sql.SELECT("total_deduction_price");
        sql.SELECT("deduction_coupon_price");
        sql.SELECT("deduction_product_price");
        sql.SELECT("payable_price");
        sql.SELECT("mem_card_type");
        sql.SELECT("mem_card_no");
        sql.SELECT("pay_gold");
        sql.SELECT("pay_price");
        sql.SELECT("gas_refuel_price");
        sql.SELECT("gas_car_license_plate");
        sql.SELECT("gas_oil_no");
        sql.SELECT("gas_gun_no");
        sql.SELECT("gas_oil_type");
        sql.SELECT("gas_price_platform");
        sql.SELECT("gas_price_gun");
        sql.SELECT("gas_price_vip");
        sql.SELECT("gas_price_official");
        sql.SELECT("gas_price_cost");
        sql.SELECT("gas_price_cost_total");
        sql.SELECT("gas_price_channel_pay");
        sql.SELECT("gas_oil_liters");
        sql.SELECT("gas_discount");
        sql.SELECT("gas_oil_subsidy");
        sql.SELECT("gas_liters_preferences");
        sql.SELECT("gas_price_preferences");
        sql.SELECT("gas_class_group_id");
        sql.SELECT("gas_class_group_name");
        sql.SELECT("gas_class_group_task_id");
        sql.SELECT("gas_staff_id");
        sql.SELECT("gas_staff_name");
        sql.SELECT("gas_salesman_id");
        sql.SELECT("gas_salesman_name");
        sql.SELECT("gas_agent_id");
        sql.SELECT("gas_agent_name");
        sql.SELECT("gas_org_id");
        sql.SELECT("gas_org_name");
        sql.SELECT("pay_type");
        sql.SELECT("`status`");
        sql.SELECT("create_time");
        sql.SELECT("cancel_time");
        sql.SELECT("pay_time");
        sql.SELECT("refund_time");
        sql.SELECT("refund_remarks");
        sql.SELECT("ext_1");
        sql.SELECT("ext_2");
        sql.SELECT("ext_3");
        sql.SELECT("ext_4");
        sql.SELECT("ext_5");
        sql.SELECT("ext_6");
        sql.FROM("high_gas_order");
        applyWhere(sql, example, false);
        
        if (example != null && example.getOrderByClause() != null) {
            sql.ORDER_BY(example.getOrderByClause());
        }
        
        return sql.toString();
    }

    public String updateByExampleSelective(Map<String, Object> parameter) {
        HighGasOrder record = (HighGasOrder) parameter.get("record");
        HighGasOrderExample example = (HighGasOrderExample) parameter.get("example");
        
        SQL sql = new SQL();
        sql.UPDATE("high_gas_order");
        
        if (record.getId() != null) {
            sql.SET("id = #{record.id,jdbcType=BIGINT}");
        }
        
        if (record.getOrderNo() != null) {
            sql.SET("order_no = #{record.orderNo,jdbcType=VARCHAR}");
        }
        
        if (record.getChildOrderNo() != null) {
            sql.SET("child_order_no = #{record.childOrderNo,jdbcType=VARCHAR}");
        }
        
        if (record.getChannelType() != null) {
            sql.SET("channel_type = #{record.channelType,jdbcType=INTEGER}");
        }
        
        if (record.getChannelOrderNo() != null) {
            sql.SET("channel_order_no = #{record.channelOrderNo,jdbcType=VARCHAR}");
        }
        
        if (record.getMemId() != null) {
            sql.SET("mem_id = #{record.memId,jdbcType=BIGINT}");
        }
        
        if (record.getMemPhone() != null) {
            sql.SET("mem_phone = #{record.memPhone,jdbcType=VARCHAR}");
        }
        
        if (record.getCompanyId() != null) {
            sql.SET("company_id = #{record.companyId,jdbcType=BIGINT}");
        }
        
        if (record.getCompanyName() != null) {
            sql.SET("company_name = #{record.companyName,jdbcType=VARCHAR}");
        }
        
        if (record.getMerId() != null) {
            sql.SET("mer_id = #{record.merId,jdbcType=BIGINT}");
        }
        
        if (record.getMerName() != null) {
            sql.SET("mer_name = #{record.merName,jdbcType=VARCHAR}");
        }
        
        if (record.getStoreId() != null) {
            sql.SET("store_id = #{record.storeId,jdbcType=BIGINT}");
        }
        
        if (record.getStoreName() != null) {
            sql.SET("store_name = #{record.storeName,jdbcType=VARCHAR}");
        }
        
        if (record.getStoreAddress() != null) {
            sql.SET("store_address = #{record.storeAddress,jdbcType=VARCHAR}");
        }
        
        if (record.getTotalDeductionPrice() != null) {
            sql.SET("total_deduction_price = #{record.totalDeductionPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getDeductionCouponPrice() != null) {
            sql.SET("deduction_coupon_price = #{record.deductionCouponPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getDeductionProductPrice() != null) {
            sql.SET("deduction_product_price = #{record.deductionProductPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getPayablePrice() != null) {
            sql.SET("payable_price = #{record.payablePrice,jdbcType=DECIMAL}");
        }
        
        if (record.getMemCardType() != null) {
            sql.SET("mem_card_type = #{record.memCardType,jdbcType=INTEGER}");
        }
        
        if (record.getMemCardNo() != null) {
            sql.SET("mem_card_no = #{record.memCardNo,jdbcType=VARCHAR}");
        }
        
        if (record.getPayGold() != null) {
            sql.SET("pay_gold = #{record.payGold,jdbcType=INTEGER}");
        }
        
        if (record.getPayPrice() != null) {
            sql.SET("pay_price = #{record.payPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getGasRefuelPrice() != null) {
            sql.SET("gas_refuel_price = #{record.gasRefuelPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getGasCarLicensePlate() != null) {
            sql.SET("gas_car_license_plate = #{record.gasCarLicensePlate,jdbcType=VARCHAR}");
        }
        
        if (record.getGasOilNo() != null) {
            sql.SET("gas_oil_no = #{record.gasOilNo,jdbcType=VARCHAR}");
        }
        
        if (record.getGasGunNo() != null) {
            sql.SET("gas_gun_no = #{record.gasGunNo,jdbcType=VARCHAR}");
        }
        
        if (record.getGasOilType() != null) {
            sql.SET("gas_oil_type = #{record.gasOilType,jdbcType=INTEGER}");
        }
        
        if (record.getGasPricePlatform() != null) {
            sql.SET("gas_price_platform = #{record.gasPricePlatform,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceGun() != null) {
            sql.SET("gas_price_gun = #{record.gasPriceGun,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceVip() != null) {
            sql.SET("gas_price_vip = #{record.gasPriceVip,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceOfficial() != null) {
            sql.SET("gas_price_official = #{record.gasPriceOfficial,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceCost() != null) {
            sql.SET("gas_price_cost = #{record.gasPriceCost,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceCostTotal() != null) {
            sql.SET("gas_price_cost_total = #{record.gasPriceCostTotal,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceChannelPay() != null) {
            sql.SET("gas_price_channel_pay = #{record.gasPriceChannelPay,jdbcType=DECIMAL}");
        }
        
        if (record.getGasOilLiters() != null) {
            sql.SET("gas_oil_liters = #{record.gasOilLiters,jdbcType=DECIMAL}");
        }
        
        if (record.getGasDiscount() != null) {
            sql.SET("gas_discount = #{record.gasDiscount,jdbcType=DECIMAL}");
        }
        
        if (record.getGasOilSubsidy() != null) {
            sql.SET("gas_oil_subsidy = #{record.gasOilSubsidy,jdbcType=DECIMAL}");
        }
        
        if (record.getGasLitersPreferences() != null) {
            sql.SET("gas_liters_preferences = #{record.gasLitersPreferences,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPricePreferences() != null) {
            sql.SET("gas_price_preferences = #{record.gasPricePreferences,jdbcType=DECIMAL}");
        }
        
        if (record.getGasClassGroupId() != null) {
            sql.SET("gas_class_group_id = #{record.gasClassGroupId,jdbcType=BIGINT}");
        }
        
        if (record.getGasClassGroupName() != null) {
            sql.SET("gas_class_group_name = #{record.gasClassGroupName,jdbcType=VARCHAR}");
        }
        
        if (record.getGasClassGroupTaskId() != null) {
            sql.SET("gas_class_group_task_id = #{record.gasClassGroupTaskId,jdbcType=BIGINT}");
        }
        
        if (record.getGasStaffId() != null) {
            sql.SET("gas_staff_id = #{record.gasStaffId,jdbcType=BIGINT}");
        }
        
        if (record.getGasStaffName() != null) {
            sql.SET("gas_staff_name = #{record.gasStaffName,jdbcType=VARCHAR}");
        }
        
        if (record.getGasSalesmanId() != null) {
            sql.SET("gas_salesman_id = #{record.gasSalesmanId,jdbcType=BIGINT}");
        }
        
        if (record.getGasSalesmanName() != null) {
            sql.SET("gas_salesman_name = #{record.gasSalesmanName,jdbcType=VARCHAR}");
        }
        
        if (record.getGasAgentId() != null) {
            sql.SET("gas_agent_id = #{record.gasAgentId,jdbcType=BIGINT}");
        }
        
        if (record.getGasAgentName() != null) {
            sql.SET("gas_agent_name = #{record.gasAgentName,jdbcType=VARCHAR}");
        }
        
        if (record.getGasOrgId() != null) {
            sql.SET("gas_org_id = #{record.gasOrgId,jdbcType=BIGINT}");
        }
        
        if (record.getGasOrgName() != null) {
            sql.SET("gas_org_name = #{record.gasOrgName,jdbcType=VARCHAR}");
        }
        
        if (record.getPayType() != null) {
            sql.SET("pay_type = #{record.payType,jdbcType=INTEGER}");
        }
        
        if (record.getStatus() != null) {
            sql.SET("`status` = #{record.status,jdbcType=INTEGER}");
        }
        
        if (record.getCreateTime() != null) {
            sql.SET("create_time = #{record.createTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getCancelTime() != null) {
            sql.SET("cancel_time = #{record.cancelTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getPayTime() != null) {
            sql.SET("pay_time = #{record.payTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getRefundTime() != null) {
            sql.SET("refund_time = #{record.refundTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getRefundRemarks() != null) {
            sql.SET("refund_remarks = #{record.refundRemarks,jdbcType=VARCHAR}");
        }
        
        if (record.getExt1() != null) {
            sql.SET("ext_1 = #{record.ext1,jdbcType=VARCHAR}");
        }
        
        if (record.getExt2() != null) {
            sql.SET("ext_2 = #{record.ext2,jdbcType=VARCHAR}");
        }
        
        if (record.getExt3() != null) {
            sql.SET("ext_3 = #{record.ext3,jdbcType=VARCHAR}");
        }
        
        if (record.getExt4() != null) {
            sql.SET("ext_4 = #{record.ext4,jdbcType=VARCHAR}");
        }
        
        if (record.getExt5() != null) {
            sql.SET("ext_5 = #{record.ext5,jdbcType=VARCHAR}");
        }
        
        if (record.getExt6() != null) {
            sql.SET("ext_6 = #{record.ext6,jdbcType=VARCHAR}");
        }
        
        applyWhere(sql, example, true);
        return sql.toString();
    }

    public String updateByExample(Map<String, Object> parameter) {
        SQL sql = new SQL();
        sql.UPDATE("high_gas_order");
        
        sql.SET("id = #{record.id,jdbcType=BIGINT}");
        sql.SET("order_no = #{record.orderNo,jdbcType=VARCHAR}");
        sql.SET("child_order_no = #{record.childOrderNo,jdbcType=VARCHAR}");
        sql.SET("channel_type = #{record.channelType,jdbcType=INTEGER}");
        sql.SET("channel_order_no = #{record.channelOrderNo,jdbcType=VARCHAR}");
        sql.SET("mem_id = #{record.memId,jdbcType=BIGINT}");
        sql.SET("mem_phone = #{record.memPhone,jdbcType=VARCHAR}");
        sql.SET("company_id = #{record.companyId,jdbcType=BIGINT}");
        sql.SET("company_name = #{record.companyName,jdbcType=VARCHAR}");
        sql.SET("mer_id = #{record.merId,jdbcType=BIGINT}");
        sql.SET("mer_name = #{record.merName,jdbcType=VARCHAR}");
        sql.SET("store_id = #{record.storeId,jdbcType=BIGINT}");
        sql.SET("store_name = #{record.storeName,jdbcType=VARCHAR}");
        sql.SET("store_address = #{record.storeAddress,jdbcType=VARCHAR}");
        sql.SET("total_deduction_price = #{record.totalDeductionPrice,jdbcType=DECIMAL}");
        sql.SET("deduction_coupon_price = #{record.deductionCouponPrice,jdbcType=DECIMAL}");
        sql.SET("deduction_product_price = #{record.deductionProductPrice,jdbcType=DECIMAL}");
        sql.SET("payable_price = #{record.payablePrice,jdbcType=DECIMAL}");
        sql.SET("mem_card_type = #{record.memCardType,jdbcType=INTEGER}");
        sql.SET("mem_card_no = #{record.memCardNo,jdbcType=VARCHAR}");
        sql.SET("pay_gold = #{record.payGold,jdbcType=INTEGER}");
        sql.SET("pay_price = #{record.payPrice,jdbcType=DECIMAL}");
        sql.SET("gas_refuel_price = #{record.gasRefuelPrice,jdbcType=DECIMAL}");
        sql.SET("gas_car_license_plate = #{record.gasCarLicensePlate,jdbcType=VARCHAR}");
        sql.SET("gas_oil_no = #{record.gasOilNo,jdbcType=VARCHAR}");
        sql.SET("gas_gun_no = #{record.gasGunNo,jdbcType=VARCHAR}");
        sql.SET("gas_oil_type = #{record.gasOilType,jdbcType=INTEGER}");
        sql.SET("gas_price_platform = #{record.gasPricePlatform,jdbcType=DECIMAL}");
        sql.SET("gas_price_gun = #{record.gasPriceGun,jdbcType=DECIMAL}");
        sql.SET("gas_price_vip = #{record.gasPriceVip,jdbcType=DECIMAL}");
        sql.SET("gas_price_official = #{record.gasPriceOfficial,jdbcType=DECIMAL}");
        sql.SET("gas_price_cost = #{record.gasPriceCost,jdbcType=DECIMAL}");
        sql.SET("gas_price_cost_total = #{record.gasPriceCostTotal,jdbcType=DECIMAL}");
        sql.SET("gas_price_channel_pay = #{record.gasPriceChannelPay,jdbcType=DECIMAL}");
        sql.SET("gas_oil_liters = #{record.gasOilLiters,jdbcType=DECIMAL}");
        sql.SET("gas_discount = #{record.gasDiscount,jdbcType=DECIMAL}");
        sql.SET("gas_oil_subsidy = #{record.gasOilSubsidy,jdbcType=DECIMAL}");
        sql.SET("gas_liters_preferences = #{record.gasLitersPreferences,jdbcType=DECIMAL}");
        sql.SET("gas_price_preferences = #{record.gasPricePreferences,jdbcType=DECIMAL}");
        sql.SET("gas_class_group_id = #{record.gasClassGroupId,jdbcType=BIGINT}");
        sql.SET("gas_class_group_name = #{record.gasClassGroupName,jdbcType=VARCHAR}");
        sql.SET("gas_class_group_task_id = #{record.gasClassGroupTaskId,jdbcType=BIGINT}");
        sql.SET("gas_staff_id = #{record.gasStaffId,jdbcType=BIGINT}");
        sql.SET("gas_staff_name = #{record.gasStaffName,jdbcType=VARCHAR}");
        sql.SET("gas_salesman_id = #{record.gasSalesmanId,jdbcType=BIGINT}");
        sql.SET("gas_salesman_name = #{record.gasSalesmanName,jdbcType=VARCHAR}");
        sql.SET("gas_agent_id = #{record.gasAgentId,jdbcType=BIGINT}");
        sql.SET("gas_agent_name = #{record.gasAgentName,jdbcType=VARCHAR}");
        sql.SET("gas_org_id = #{record.gasOrgId,jdbcType=BIGINT}");
        sql.SET("gas_org_name = #{record.gasOrgName,jdbcType=VARCHAR}");
        sql.SET("pay_type = #{record.payType,jdbcType=INTEGER}");
        sql.SET("`status` = #{record.status,jdbcType=INTEGER}");
        sql.SET("create_time = #{record.createTime,jdbcType=TIMESTAMP}");
        sql.SET("cancel_time = #{record.cancelTime,jdbcType=TIMESTAMP}");
        sql.SET("pay_time = #{record.payTime,jdbcType=TIMESTAMP}");
        sql.SET("refund_time = #{record.refundTime,jdbcType=TIMESTAMP}");
        sql.SET("refund_remarks = #{record.refundRemarks,jdbcType=VARCHAR}");
        sql.SET("ext_1 = #{record.ext1,jdbcType=VARCHAR}");
        sql.SET("ext_2 = #{record.ext2,jdbcType=VARCHAR}");
        sql.SET("ext_3 = #{record.ext3,jdbcType=VARCHAR}");
        sql.SET("ext_4 = #{record.ext4,jdbcType=VARCHAR}");
        sql.SET("ext_5 = #{record.ext5,jdbcType=VARCHAR}");
        sql.SET("ext_6 = #{record.ext6,jdbcType=VARCHAR}");
        
        HighGasOrderExample example = (HighGasOrderExample) parameter.get("example");
        applyWhere(sql, example, true);
        return sql.toString();
    }

    public String updateByPrimaryKeySelective(HighGasOrder record) {
        SQL sql = new SQL();
        sql.UPDATE("high_gas_order");
        
        if (record.getOrderNo() != null) {
            sql.SET("order_no = #{orderNo,jdbcType=VARCHAR}");
        }
        
        if (record.getChildOrderNo() != null) {
            sql.SET("child_order_no = #{childOrderNo,jdbcType=VARCHAR}");
        }
        
        if (record.getChannelType() != null) {
            sql.SET("channel_type = #{channelType,jdbcType=INTEGER}");
        }
        
        if (record.getChannelOrderNo() != null) {
            sql.SET("channel_order_no = #{channelOrderNo,jdbcType=VARCHAR}");
        }
        
        if (record.getMemId() != null) {
            sql.SET("mem_id = #{memId,jdbcType=BIGINT}");
        }
        
        if (record.getMemPhone() != null) {
            sql.SET("mem_phone = #{memPhone,jdbcType=VARCHAR}");
        }
        
        if (record.getCompanyId() != null) {
            sql.SET("company_id = #{companyId,jdbcType=BIGINT}");
        }
        
        if (record.getCompanyName() != null) {
            sql.SET("company_name = #{companyName,jdbcType=VARCHAR}");
        }
        
        if (record.getMerId() != null) {
            sql.SET("mer_id = #{merId,jdbcType=BIGINT}");
        }
        
        if (record.getMerName() != null) {
            sql.SET("mer_name = #{merName,jdbcType=VARCHAR}");
        }
        
        if (record.getStoreId() != null) {
            sql.SET("store_id = #{storeId,jdbcType=BIGINT}");
        }
        
        if (record.getStoreName() != null) {
            sql.SET("store_name = #{storeName,jdbcType=VARCHAR}");
        }
        
        if (record.getStoreAddress() != null) {
            sql.SET("store_address = #{storeAddress,jdbcType=VARCHAR}");
        }
        
        if (record.getTotalDeductionPrice() != null) {
            sql.SET("total_deduction_price = #{totalDeductionPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getDeductionCouponPrice() != null) {
            sql.SET("deduction_coupon_price = #{deductionCouponPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getDeductionProductPrice() != null) {
            sql.SET("deduction_product_price = #{deductionProductPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getPayablePrice() != null) {
            sql.SET("payable_price = #{payablePrice,jdbcType=DECIMAL}");
        }
        
        if (record.getMemCardType() != null) {
            sql.SET("mem_card_type = #{memCardType,jdbcType=INTEGER}");
        }
        
        if (record.getMemCardNo() != null) {
            sql.SET("mem_card_no = #{memCardNo,jdbcType=VARCHAR}");
        }
        
        if (record.getPayGold() != null) {
            sql.SET("pay_gold = #{payGold,jdbcType=INTEGER}");
        }
        
        if (record.getPayPrice() != null) {
            sql.SET("pay_price = #{payPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getGasRefuelPrice() != null) {
            sql.SET("gas_refuel_price = #{gasRefuelPrice,jdbcType=DECIMAL}");
        }
        
        if (record.getGasCarLicensePlate() != null) {
            sql.SET("gas_car_license_plate = #{gasCarLicensePlate,jdbcType=VARCHAR}");
        }
        
        if (record.getGasOilNo() != null) {
            sql.SET("gas_oil_no = #{gasOilNo,jdbcType=VARCHAR}");
        }
        
        if (record.getGasGunNo() != null) {
            sql.SET("gas_gun_no = #{gasGunNo,jdbcType=VARCHAR}");
        }
        
        if (record.getGasOilType() != null) {
            sql.SET("gas_oil_type = #{gasOilType,jdbcType=INTEGER}");
        }
        
        if (record.getGasPricePlatform() != null) {
            sql.SET("gas_price_platform = #{gasPricePlatform,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceGun() != null) {
            sql.SET("gas_price_gun = #{gasPriceGun,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceVip() != null) {
            sql.SET("gas_price_vip = #{gasPriceVip,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceOfficial() != null) {
            sql.SET("gas_price_official = #{gasPriceOfficial,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceCost() != null) {
            sql.SET("gas_price_cost = #{gasPriceCost,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceCostTotal() != null) {
            sql.SET("gas_price_cost_total = #{gasPriceCostTotal,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPriceChannelPay() != null) {
            sql.SET("gas_price_channel_pay = #{gasPriceChannelPay,jdbcType=DECIMAL}");
        }
        
        if (record.getGasOilLiters() != null) {
            sql.SET("gas_oil_liters = #{gasOilLiters,jdbcType=DECIMAL}");
        }
        
        if (record.getGasDiscount() != null) {
            sql.SET("gas_discount = #{gasDiscount,jdbcType=DECIMAL}");
        }
        
        if (record.getGasOilSubsidy() != null) {
            sql.SET("gas_oil_subsidy = #{gasOilSubsidy,jdbcType=DECIMAL}");
        }
        
        if (record.getGasLitersPreferences() != null) {
            sql.SET("gas_liters_preferences = #{gasLitersPreferences,jdbcType=DECIMAL}");
        }
        
        if (record.getGasPricePreferences() != null) {
            sql.SET("gas_price_preferences = #{gasPricePreferences,jdbcType=DECIMAL}");
        }
        
        if (record.getGasClassGroupId() != null) {
            sql.SET("gas_class_group_id = #{gasClassGroupId,jdbcType=BIGINT}");
        }
        
        if (record.getGasClassGroupName() != null) {
            sql.SET("gas_class_group_name = #{gasClassGroupName,jdbcType=VARCHAR}");
        }
        
        if (record.getGasClassGroupTaskId() != null) {
            sql.SET("gas_class_group_task_id = #{gasClassGroupTaskId,jdbcType=BIGINT}");
        }
        
        if (record.getGasStaffId() != null) {
            sql.SET("gas_staff_id = #{gasStaffId,jdbcType=BIGINT}");
        }
        
        if (record.getGasStaffName() != null) {
            sql.SET("gas_staff_name = #{gasStaffName,jdbcType=VARCHAR}");
        }
        
        if (record.getGasSalesmanId() != null) {
            sql.SET("gas_salesman_id = #{gasSalesmanId,jdbcType=BIGINT}");
        }
        
        if (record.getGasSalesmanName() != null) {
            sql.SET("gas_salesman_name = #{gasSalesmanName,jdbcType=VARCHAR}");
        }
        
        if (record.getGasAgentId() != null) {
            sql.SET("gas_agent_id = #{gasAgentId,jdbcType=BIGINT}");
        }
        
        if (record.getGasAgentName() != null) {
            sql.SET("gas_agent_name = #{gasAgentName,jdbcType=VARCHAR}");
        }
        
        if (record.getGasOrgId() != null) {
            sql.SET("gas_org_id = #{gasOrgId,jdbcType=BIGINT}");
        }
        
        if (record.getGasOrgName() != null) {
            sql.SET("gas_org_name = #{gasOrgName,jdbcType=VARCHAR}");
        }
        
        if (record.getPayType() != null) {
            sql.SET("pay_type = #{payType,jdbcType=INTEGER}");
        }
        
        if (record.getStatus() != null) {
            sql.SET("`status` = #{status,jdbcType=INTEGER}");
        }
        
        if (record.getCreateTime() != null) {
            sql.SET("create_time = #{createTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getCancelTime() != null) {
            sql.SET("cancel_time = #{cancelTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getPayTime() != null) {
            sql.SET("pay_time = #{payTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getRefundTime() != null) {
            sql.SET("refund_time = #{refundTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getRefundRemarks() != null) {
            sql.SET("refund_remarks = #{refundRemarks,jdbcType=VARCHAR}");
        }
        
        if (record.getExt1() != null) {
            sql.SET("ext_1 = #{ext1,jdbcType=VARCHAR}");
        }
        
        if (record.getExt2() != null) {
            sql.SET("ext_2 = #{ext2,jdbcType=VARCHAR}");
        }
        
        if (record.getExt3() != null) {
            sql.SET("ext_3 = #{ext3,jdbcType=VARCHAR}");
        }
        
        if (record.getExt4() != null) {
            sql.SET("ext_4 = #{ext4,jdbcType=VARCHAR}");
        }
        
        if (record.getExt5() != null) {
            sql.SET("ext_5 = #{ext5,jdbcType=VARCHAR}");
        }
        
        if (record.getExt6() != null) {
            sql.SET("ext_6 = #{ext6,jdbcType=VARCHAR}");
        }
        
        sql.WHERE("id = #{id,jdbcType=BIGINT}");
        
        return sql.toString();
    }

    protected void applyWhere(SQL sql, HighGasOrderExample example, boolean includeExamplePhrase) {
        if (example == null) {
            return;
        }
        
        String parmPhrase1;
        String parmPhrase1_th;
        String parmPhrase2;
        String parmPhrase2_th;
        String parmPhrase3;
        String parmPhrase3_th;
        if (includeExamplePhrase) {
            parmPhrase1 = "%s #{example.oredCriteria[%d].allCriteria[%d].value}";
            parmPhrase1_th = "%s #{example.oredCriteria[%d].allCriteria[%d].value,typeHandler=%s}";
            parmPhrase2 = "%s #{example.oredCriteria[%d].allCriteria[%d].value} and #{example.oredCriteria[%d].criteria[%d].secondValue}";
            parmPhrase2_th = "%s #{example.oredCriteria[%d].allCriteria[%d].value,typeHandler=%s} and #{example.oredCriteria[%d].criteria[%d].secondValue,typeHandler=%s}";
            parmPhrase3 = "#{example.oredCriteria[%d].allCriteria[%d].value[%d]}";
            parmPhrase3_th = "#{example.oredCriteria[%d].allCriteria[%d].value[%d],typeHandler=%s}";
        } else {
            parmPhrase1 = "%s #{oredCriteria[%d].allCriteria[%d].value}";
            parmPhrase1_th = "%s #{oredCriteria[%d].allCriteria[%d].value,typeHandler=%s}";
            parmPhrase2 = "%s #{oredCriteria[%d].allCriteria[%d].value} and #{oredCriteria[%d].criteria[%d].secondValue}";
            parmPhrase2_th = "%s #{oredCriteria[%d].allCriteria[%d].value,typeHandler=%s} and #{oredCriteria[%d].criteria[%d].secondValue,typeHandler=%s}";
            parmPhrase3 = "#{oredCriteria[%d].allCriteria[%d].value[%d]}";
            parmPhrase3_th = "#{oredCriteria[%d].allCriteria[%d].value[%d],typeHandler=%s}";
        }
        
        StringBuilder sb = new StringBuilder();
        List<Criteria> oredCriteria = example.getOredCriteria();
        boolean firstCriteria = true;
        for (int i = 0; i < oredCriteria.size(); i++) {
            Criteria criteria = oredCriteria.get(i);
            if (criteria.isValid()) {
                if (firstCriteria) {
                    firstCriteria = false;
                } else {
                    sb.append(" or ");
                }
                
                sb.append('(');
                List<Criterion> criterions = criteria.getAllCriteria();
                boolean firstCriterion = true;
                for (int j = 0; j < criterions.size(); j++) {
                    Criterion criterion = criterions.get(j);
                    if (firstCriterion) {
                        firstCriterion = false;
                    } else {
                        sb.append(" and ");
                    }
                    
                    if (criterion.isNoValue()) {
                        sb.append(criterion.getCondition());
                    } else if (criterion.isSingleValue()) {
                        if (criterion.getTypeHandler() == null) {
                            sb.append(String.format(parmPhrase1, criterion.getCondition(), i, j));
                        } else {
                            sb.append(String.format(parmPhrase1_th, criterion.getCondition(), i, j,criterion.getTypeHandler()));
                        }
                    } else if (criterion.isBetweenValue()) {
                        if (criterion.getTypeHandler() == null) {
                            sb.append(String.format(parmPhrase2, criterion.getCondition(), i, j, i, j));
                        } else {
                            sb.append(String.format(parmPhrase2_th, criterion.getCondition(), i, j, criterion.getTypeHandler(), i, j, criterion.getTypeHandler()));
                        }
                    } else if (criterion.isListValue()) {
                        sb.append(criterion.getCondition());
                        sb.append(" (");
                        List<?> listItems = (List<?>) criterion.getValue();
                        boolean comma = false;
                        for (int k = 0; k < listItems.size(); k++) {
                            if (comma) {
                                sb.append(", ");
                            } else {
                                comma = true;
                            }
                            if (criterion.getTypeHandler() == null) {
                                sb.append(String.format(parmPhrase3, i, j, k));
                            } else {
                                sb.append(String.format(parmPhrase3_th, i, j, k, criterion.getTypeHandler()));
                            }
                        }
                        sb.append(')');
                    }
                }
                sb.append(')');
            }
        }
        
        if (sb.length() > 0) {
            sql.WHERE(sb.toString());
        }
    }
}